import os
from setuptools import setup

try:
    readme = open(os.path.join(os.path.dirname(__file__), "README.md")).read()
except ValueError:
    readme = ""

setup(
    name="kcf",
    description="A script to merge a remote kubectl configuration with a local one",
    long_description=readme,
    long_description_content_type="text/markdown",
    # Documentation: https://gist.github.com/nazrulworld/3800c84e28dc464b2b30cec8bc1287fc
    classifiers=[
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.10",
        "Development Status :: 3 - Alpha",
        "Topic :: Software Development",
        "License :: OSI Approved :: MIT License"
    ],
    keywords="kubernetes, kubectl",
    author="Markus Pesch",
    author_email="markus.pesch@cryptic.systems",
    url="https://github.com/volker-raschek/kcf",
    # py_modules=[""],
    # include_package_data=True,
    license="Apache 2.0",
    install_requires=[
        "cryptography>=39.0.1",
        "paramiko>=2.11.1",
        "PyYAML>=6.0",
        "scp>=0.14.4",
        "setuptools>=67.3.0"
    ],
)
